Bug 232819 - security/py-certbot: The ‘josepy’ distribution was not found and is required by certbot
Summary: security/py-certbot: The ‘josepy’ distribution was not found and is required ...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Many People
Assignee: Sunpoet Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-10-30 17:48 UTC by bmw
Modified: 2018-11-10 13:08 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (python)
koobs: merge-quarterly?


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description bmw 2018-10-30 17:48:33 UTC
I'm the upstream maintainer of Certbot.

A FreeBSD user reported a problem with Certbot that was flagged for me on Let's Encrypt's community forum at https://community.letsencrypt.org/t/the-josepy-distribution-was-not-found-and-is-required-by-certbot/76087.

In general, the problem is that the security/py-josepy package is required by Certbot and wasn't found at runtime. One of the community forum members pointed out that this package isn't listed in security/py-certbot's makefile. Perhaps this is the problem?

I just wanted to flag the issue here so it could be addressed appropriately. Thanks for any help!
Comment 1 Sunpoet Po-Chuan Hsieh freebsd_committer 2018-10-30 19:24:35 UTC
It seems certbot depends on josepy since 0.22.0. I'll add it soon. Thanks!

https://github.com/certbot/certbot/commit/2a142aa93288d0db87b8f12dc71fce70ee3ce482
Comment 2 commit-hook freebsd_committer 2018-10-30 19:56:38 UTC
A commit references this bug:

Author: sunpoet
Date: Tue Oct 30 19:55:50 UTC 2018
New revision: 483535
URL: https://svnweb.freebsd.org/changeset/ports/483535

Log:
  Add missing RUN_DEPENDS

  - Bump PORTREVISION for dependency change

  PR:		232819
  Submitted by:	Brad Warren <bmw@eff.org>

Changes:
  head/security/py-certbot/Makefile
Comment 3 Sunpoet Po-Chuan Hsieh freebsd_committer 2018-10-30 19:58:48 UTC
Committed. Thanks!
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2018-10-31 03:04:08 UTC
Thanks for committing this Sunpoet, can you MFH this please
Comment 5 commit-hook freebsd_committer 2018-11-10 13:07:38 UTC
A commit references this bug:

Author: sunpoet
Date: Sat Nov 10 13:07:16 UTC 2018
New revision: 484608
URL: https://svnweb.freebsd.org/changeset/ports/484608

Log:
  MFH: r483535

  Add missing RUN_DEPENDS

  - Bump PORTREVISION for dependency change

  PR:		232819
  Submitted by:	Brad Warren <bmw@eff.org>

  Approved by:	ports-secteam (blanket)

Changes:
_U  branches/2018Q4/
  branches/2018Q4/security/py-certbot/Makefile
Comment 6 Sunpoet Po-Chuan Hsieh freebsd_committer 2018-11-10 13:08:41 UTC
MFH'd. Thanks!